/*
 * EL4J, the Extension Library for the J2EE, adds incremental enhancements to
 * the spring framework, http://el4j.sf.net
 * Copyright (C) 2006 by ELCA Informatique SA, Av. de la Harpe 22-24,
 * 1000 Lausanne, Switzerland, http://www.elca.ch
 *
 * EL4J is published under the GNU Lesser General Public License (LGPL)
 * Version 2.1. See http://www.gnu.org/licenses/
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * For alternative licensing, please contact info@elca.ch
 */
package ch.elca.el4j.services.xmlmerge;

/**
 * An action merging the contents of the specified elements. The factories for
 * actions to apply to children elements are configurable through this
 * interface.
 *
 * @svnLink $Revision: 3880 $;$Date: 2009-08-04 15:17:52 +0200 (mar., 04 août 2009) $;$Author: swismer $;$URL: https://el4j.svn.sourceforge.net/svnroot/el4j/trunk/el4j/framework/modules/xml_merge/common/src/main/java/ch/elca/el4j/services/xmlmerge/MergeAction.java $
 *
 * @author Laurent Bovet (LBO)
 * @author Alex Mathey (AMA)
 */
public interface MergeAction extends Action {

	/**
	 * Sets the action's mapper factory.
	 * @param factory The action's mapper factory
	 */
	public void setMapperFactory(OperationFactory factory);

	/**
	 * Sets the action's matcher factory.
	 * @param factory The action's matcher factory
	 */
	public void setMatcherFactory(OperationFactory factory);

	/**
	 * Sets the action's action factory.
	 * @param factory The action's action factory
	 */
	public void setActionFactory(OperationFactory factory);
}
