% This script is a very basic usage example of the SPM library. It loads an
% example channel from disk, rotates it over 90 degrees and writes the
% result to the temporary Matlab directory. The rotated channel is then
% loaded from file and displayed to the user.

% Find the directory of this m-file
fullpath = mfilename('fullpath');
[root_dir,~,~] = fileparts(fullpath);

% Read the input file into a channel list (of length one)
channel_list = spm_read(fullfile(root_dir, 'input', 'basic', ...
    'eth_biwi_logo.xml'));

% Extract and display the first (and only) channel of this list)
channel = channel_list(1);
spm_display(channel);

% Rotate the channel over 90 degrees
channel_rot90 = rotate90(channel, 1);

% Write the rotated channel to a file in the temporary directory
spm_write(channel_rot90, tempdir);

% Read the channel back into Matlab
channel_list = spm_read(fullfile(tempdir, 'channel_rot90.xml'));

% Display the loaded channel
channel_rot90 = channel_list(1);
spm_display(channel_rot90);

% Remove the written file
delete(fullfile(tempdir, 'channel_rot90.xml'));
