function bar = add_colorbar(tick_factor, label)
% ADD_COLORBAR Convenience function for adding a colorbar.
%   ADD_COLORBAR(TICK_FACTOR, LABEL) adds colorbar with y-label LABEL and
%   the standard y-ticks multiplied with TICK_FACTOR. The function id
%   intended as a helper function for SPM_DISPLAY.

bar = colorbar;
ylabel(bar, label);
standard_ticks = get(bar, 'YTick');
ticks_wanted = tick_factor * standard_ticks;
set(bar, 'YTickLabel', ticks_wanted);
set(bar,'YTickMode', 'manual');

end

