function header = default_sxm_header()
%default_sxm_header SXM header creation.
%   default_sxm_header() returns an SXM header containing dummy values.

header = struct(...    
	'SCAN_FILE', 	'', ....
	'SCAN_DATE', 	'', ...
	'SCAN_TIME', 	0.0, ...
	'SCAN_DTIME', 	[0, 0, 0], ...
	'SCAN_GAUGING', 	0, ...
	'SCAN_LABEL', 	['', '', ''], ...
	'SCAN_UVOLT', 	['', '', ''], ...
	'SCAN_OVOLT', 	[0, 0, 0], ...
	'SCAN_DVOLT', 	[1, 1, 1], ...
	'SCAN_UNIT', 	['', '', ''], ...
	'SCAN_TRANSFORM', 	[ [1, 0, 0]; [0, 1, 0]; [0, 0, 1] ], ... 
	'DATA_GAUGING', 	0, ...
	'DATA_LABEL', 	'', ...
	'DATA_UVOLT', 	'', ...
	'DATA_OVOLT', 	0.0, ...
	'DATA_DVOLT', 	1.0, ...
	'DATA_UNIT', 	'', ...
	'DATA_TRANSFORM', 	1.0, ...
	'DATA_COMMENT', 	'', ...
	'DATA_OPERATIONS', 0, ...
	'DATA_HISTORY', 	'', ...
	'DATA_MIN', 	0.0, ...
	'DATA_MAX', 	0.0 ...
    );

end

