function  output_path = tilde_expand(input_path)
%TILDE_EXPAND Tilde expansion for files and directories
%   TILDE_EXPAND(INPUT_PATH) return the tilde expanded vesrion of
%   INPUT_PATH. The tilde is replaced by the home directory of the current
%   user. On Windows INPUT_PATH is returned without modification.

if ismac || isunix
    if strcmp(input_path(1),'~')
        output_path = [char(java.lang.System.getProperty('user.home')), ...
            input_path(2:end)];
    end
else
    output_path = input_path;
end

end

