function out = spm_invert(in)
%SPM_INVERT Inversion of the pixels of a channel.
%   SPM_INVERT(IN) returns a copy of the channel IN, in which the pixel 
%   values are inverted.

% Check input
try
    parser = inputParser;
    parser.addRequired('in', @is_channel);
    parser.parse(in);
catch error
    me = MException('spm:spm_invert:input_error', 'Invalid input: %s', ...
        error.message);
    throw(me);
end

% Copy input
out = in;

%Invert pixels;
out.pixels = min(out.pixels(:)) + (max(out.pixels(:)) - out.pixels);

end

