function spm_path()
% SPM_PATH() Setting the MFM Matlab path.
%  SPM_PATH() adds alldirectories necessary to run all SPM libraryW
%  functions.
fullpath = mfilename('fullpath');
root_index = strfind(fullpath,['utilities', filesep]);
matlab_path = fullpath(1:root_index(end)-1);
helper_path = [matlab_path, 'helper' filesep];
utilities_path = [matlab_path, 'utilities' filesep];
unit_test_path = [matlab_path, 'tests' filesep, 'unit_tests', filesep];
integration_test_path = [matlab_path, 'tests' filesep, ...
    'integration_tests', filesep];
deprecated_path = [matlab_path, 'deprecated'];
example_path = [matlab_path, 'examples' filesep];
external_path = [matlab_path, 'external' filesep];
xml_path = [external_path, 'xml_io_tools' filesep];
g_import_path = [external_path, 'gimport' filesep];
xunit_path = [external_path,'matlab_xunit', filesep, 'xunit', filesep];
coloured_line_3d_path = [external_path, 'coloured_line_3d' filesep];
calcticks_path = [external_path, 'calcticks' filesep];
comp_struct_path = [external_path, 'comp_struct' filesep];
rdir_path = [external_path, 'rdir_0112' filesep];
jax_path = [external_path, 'jax' filesep];
nanonis_path = [external_path, 'nanonis' filesep];
get_full_path_path = [external_path, 'get_full_path' filesep];
jaxfront_core_path = [jax_path, 'jaxfront-core.jar'];
jaxfront_swing_path= [jax_path, 'jaxfront-swing.jar'];
xmlmerge_root_path = [external_path, 'xmlmerge'];
xmlmerge_path = [xmlmerge_root_path, filesep, 'xmlmerge.jar'];
dtd_path = [xmlmerge_root_path, filesep, 'dtdparser-1.21', filesep, ...
    'dtdparser-1.21.jar'];

fprintf('Adding the following Matlab paths:\n');
addpath(matlab_path);
fprintf('%s\n', matlab_path);
addpath(helper_path);
fprintf('%s\n', helper_path);
addpath(utilities_path);
fprintf('%s\n', utilities_path);
if  exist(unit_test_path, 'dir')
    addpath(unit_test_path);
    fprintf('%s\n', unit_test_path);
end
if  exist(integration_test_path, 'dir')
    addpath(integration_test_path);
    fprintf('%s\n', integration_test_path);
end
if  exist(example_path, 'dir')
    addpath(example_path);
    fprintf('%s\n', example_path);
end
if  exist(deprecated_path, 'dir')
    addpath(deprecated_path);
    fprintf('%s\n', deprecated_path);
end

addpath(xml_path);
fprintf('%s\n', xml_path);
addpath(g_import_path);
fprintf('%s\n', g_import_path);
if exist(xunit_path, 'dir')
    addpath(xunit_path);
    fprintf('%s\n', xunit_path);
end
addpath(coloured_line_3d_path);
fprintf('%s\n', coloured_line_3d_path);
addpath(rdir_path);
fprintf('%s\n', rdir_path);
addpath(calcticks_path);
fprintf('%s\n', calcticks_path);
if exist(comp_struct_path, 'dir')
    addpath(comp_struct_path);
    fprintf('%s\n', comp_struct_path);
end
addpath(nanonis_path);
fprintf('%s\n', nanonis_path);
if exist(get_full_path_path, 'dir')
    addpath(get_full_path_path);
    fprintf('%s\n', get_full_path_path);
end
fprintf('\n');

fprintf('Adding the following Java paths:\n');
javaaddpath(jaxfront_core_path);
fprintf('%s\n', jaxfront_core_path);
javaaddpath(jaxfront_swing_path);
fprintf('%s\n', jaxfront_swing_path);
javaaddpath(xmlmerge_path);
fprintf('%s\n', xmlmerge_path);
javaaddpath(dtd_path);
fprintf('%s\n', dtd_path);

end
